/*
 * @Author: Kane
 * @Date: 2023-09-06 11:00:35
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/mybatis/pojo/RewardProject.java
 * @Description: 奖励项目对象
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.mybatis.pojo;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 奖励项目对象
 */
public class RewardProject
{
    public RewardProject( int rewardCode, String rewardName)
    {
        this.rewardCode = rewardCode;
        this.rewardName = rewardName;
    }

    public int getRewardCode()
    {
        return rewardCode;
    }

    public void setRewardCode( int rewardCode )
    {
        this.rewardCode = rewardCode;
    }

    public String getRewardName()
    {
        return rewardName;
    }

    public void setRewardName( String rewardName )
    {
        this.rewardName = rewardName;
    }

    @Override
    public String toString()
    {
        return "RewardProject [rewardCode=" + rewardCode + ", rewardName=" + rewardName + "]";
    }

    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = 1;
        result = prime * result + rewardCode;
        result = prime * result + ((rewardName == null) ? 0 : rewardName.hashCode());
        return result;
    }

    @Override
    public boolean equals( Object obj )
    {
        if ( this == obj )
            return true;
        if ( obj == null )
            return false;
        if ( getClass() != obj.getClass() )
            return false;
        RewardProject other = (RewardProject) obj;
        if ( rewardCode != other.rewardCode )
            return false;
        if ( rewardName == null )
        {
            if ( other.rewardName != null )
                return false;
        } else if ( !rewardName.equals( other.rewardName ) )
            return false;
        return true;
    }


    // 奖励项目代码
    @JsonProperty("rewardCode")
    private int rewardCode;

    // 奖励项目名称
    @JsonProperty("rewardName")
    private String rewardName;
}